﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;                                                      //IOの宣言
using WiimoteLib;
using System.Threading;


namespace WiiControl
{
    public partial class Form1 : Form
    {
        Wiimote wm = new Wiimote();
        Encoding sjisEnc = Encoding.GetEncoding("Shift_JIS");        //文字コードをShift_JISへ
        StreamWriter writer;                                         //StreamWriterの宣言
 
        public Form1()
        {
            InitializeComponent();
        }

        private void dataWrite(object sender)
        {

            WiimoteState ws = wm.WiimoteState;

            //StreamWriterに書き出し　各軸は","で区切る
            writer.WriteLine(ws.AccelState.Values.X + ", " + ws.AccelState.Values.Y + ", " + ws.AccelState.Values.Z);
//            Console.WriteLine(ws.AccelState.Values.X);
 
        }

        private void button1_Click(object sender, EventArgs e)
        {
            wm.Connect();
            this.wm.SetReportType(InputReport.IRExtensionAccel, true);//レポートタイプの設定
            this.writer = new StreamWriter("AccelSensorValues.csv", false, sjisEnc);

            TimerCallback timerDelegate = new TimerCallback(dataWrite);
            timer = new System.Threading.Timer(timerDelegate, null, 0, 20);

            this.button1.Enabled = false;
            this.button2.Enabled = true;

        }

        private void button2_Click(object sender, EventArgs e)
        {

            timer.Dispose();

            this.writer.Close();                                      //StreamWriterのクローズ
            this.wm.Disconnect();                                     //Wiimote切断

            this.button2.Enabled = false;
            this.button1.Enabled = true;

        }


    }
}


